2013-02-21

Instalando Metasploit en Debian squeeze

Hacia mucho que no colocaba un proceso de instslación, pero era porque hacia rato no tenia que instalar cosas. Después de mucho pelear con mi laptop decidi instalarle Debian Squeeze y sobre este instalar todo lo que necesite usar, en vez de tener Backtrack  y Ubuntu o cosas así.
 
Entonces lo primero que instale es Metasploit porque me parece una herramienta excelente para análisis de seguridad y hacer pentesting, la documentación no es la mejor pero encontré un blog que aunque le faltaron cosas me dio la guía y me pareció muy útil, su link es este http://blog.sugeek.co/2013/01/instalacion-metasploit-y-armitage-en.html. Como siempre empezare a colocar como me toco instalarlo.
 
Primero necesite instalar un repositorio especial donde están los instaladores de Java, esto se hace adicionandolo en /etc/apt/sources.list así
 
root@localhost:~# echo "deb http://ftp.ch.debian.org/debian  squeeze non-free" >> /etc/apt/sources.list
 
Ya con eso entonces actualizas e instalas lo que necesitas, con el siguiente comando
 
root@localhost:~# apt-get update && apt-get install sun-java6-jdk
 
De acá en adelante te recomiendo que lo hagas con el usuario que vas a usar el metasploit, porque puede generarte errores si lo haces con root. Una vez se instale esto termine puedes bajar el instalador de metasploit, ya sea de la pagina http://www.metasploit.com/download/ o si lo vas a hacer por consola sería así (depende de cual quieras si 32bits o 64bits)
 
user@localhost:~$ wget http://www.metasploit.com/data/releases/metasploit-latest-linux-installer.run 
 
user@localhost:~$ wget http://www.metasploit.com/data/releases/metasploit-latest-linux-x64-installer.run 
 
Ya cuando temine de descargar, lo cual es rapido, le das permisos de ejecución y lo ejecutas, así
 
user@localhost:~$ chmod 777 metasploit-lastest-linux-installer.run
 
user@localhost:~$ ./metasploit-lastest-linux-installer.run
 
El sistema inicia la instalación y te va mostarndo pantallas para que aceptes o modifiques según como quieras, el proceso es el siquiente:
 







 Cuando termino probe que estuviera instalado y como se puede ver si fue así

 
 Sin embargo, cuando intente actualizar me genera un error, como lo pueden ver
 
 
 Como pueden ver me falta registarme entonces como dice en el error abri el sitio que me indicaba, donde se toma un buen tiempo en cargar las cosas pero el te lo anuncia y hasta te dice que vayas por un cafe
 
 
Tras una espera considerable, el sistema te da dos opciones, yo tomo la de la comunidad (community), pero si tiene plata y quieres colaborar te recomiendo que uses el pro
 
 
Como todo registro te pide unos datos, que debes tener en cuenta por que con eso crea la base de datos y crea tu perfil
 
 
 
 
 
 Ya terminado entonces hice la prueba de actualizar y como se ve esta listo y funcionando
 
 
Espero que les sirva y que los ayude.